Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wsrp.model.markup
Interface IScriptFragment

All Superinterfaces
  Serializable

    public interface IScriptFragment

extends Serializable

A script fragment.

This interface is intended to be implemented only by Oracle Weblogic Portal. Oracle Systems reserves the right to add abstract methods to this interface without notice. Implementations of this interface by other parties must not be expected to compile without change in future versions of Oracle Weblogic Portal.

Nested Class Summary
`static class` | `IScriptFragment.Factory` Factory to create a default implementation.

Method Summary
`void` | `addScriptFragment(String eventHandler, String fragment)` Adds a script fragment
`Set<String>` | `getEventHandlerNames()` Get script event handler names.
`List<String>` | `getScriptFragments(String eventHandler)` Return script fragments.

Method Detail

### getEventHandlerNames

    Set<String> getEventHandlerNames()

  Get script event handler names.

  Returns
    event handler names

### getScriptFragments

    List<String> getScriptFragments(String eventHandler)

  Return script fragments.

  Parameters
    `eventHandler` - event handler
  Returns
    script fragments

### addScriptFragment

    void addScriptFragment(String eventHandler,
                           String fragment)

  Adds a script fragment

  Parameters
    `eventHandler` - event handler
    `fragment` - fragment

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.